import { Resolve, ActivatedRouteSnapshot } from '@angular/router';
import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';

export const BASE_PATH = './assets/definitions/goal/goar-action.json';

@Injectable()
export class GoalActionTemplateResolver implements Resolve<any> {

    constructor(
        private http: HttpClient) { }

    resolve(route: ActivatedRouteSnapshot) {
        return this.http.get(BASE_PATH);
    }
}
